#include<iostream>
using namespace std;
int main()
{
    long long a,b,l,x,y,br=0,i,masl[100000];

    cin>>a>>b>>l;
    if(a+b>l){

        cout<<l;
    }else{
        for(i=0;i<l;i++){

            masl[i]=i+1;
        }
        for(x=1;x<l/a;x++){
            for(y=1;y<l/b;y++){
                if(a*x+b*y<=l&&masl[a*x+b*y]!=0){

                    br++;
                    masl[a*x+b*y]=0;
                }

            }

        }
        cout<<l-br;
    }

 return 0;
}
